org.eclipse.ui.model

## Interface IComparableContribution

All Superinterfaces:
  IAdaptable

    public interface IComparableContribution
    extends IAdaptable

Instances of this interface represent a contribution within the workbench. This interface is typically implemented by the workbench itself although extension developers may wish to implement it as well for their own extensions.

Since:
  3.4

### Field Summary

Fields
`static int` `PRIORITY_DEFAULT` The default priority (0);

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> T` `getAdapter(Class<T> adapter)` Possible adaptations include: `IConfigurationElement` useful for contributions that eventually work back to registry elements.
`String` `getLabel()` Return the human readable label for this contribution.
`int` `getPriority()` Return the priority of this contribution.

### Field Detail

#### PRIORITY_DEFAULT

    static final int PRIORITY_DEFAULT

The default priority (0);

See Also:
  Constant Field Values

### Method Detail

#### getPriority

    int getPriority()

Return the priority of this contribution. Lower values constitute higher priorities.

Returns:
  the priority

#### getLabel

    String getLabel()

Return the human readable label for this contribution. Must not be `null`.

Returns:
  the label for this contribution

#### getAdapter

    <T> T getAdapter(Class<T> adapter)

Possible adaptations include:

`IConfigurationElement`
  useful for contributions that eventually work back to registry elements. The majority of `IComparableContribution` instances provided by the platform will provide this adapter.

Specified by:
  `getAdapter` in interface `IAdaptable`
Parameters:
  `adapter` - the adapter class to look up
Returns:
  a object of the given class, or `null` if this object does not have an adapter for the given class